## stress-ng 0.18.11

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "numa enhanced strainer"
-#
-VERSION=0.18.10
+# Codename "optimized os oppressor"
+#
+VERSION=0.18.11
 
 #
 # Determine supported toolchains
@@ -143,6 +143,10 @@
 endif
 endif
 
+ifeq ($(COMPILER),icx)
+override CFLAGS += -vec -ax
+endif
+
 #
 # Enable Link Time Optimization
 #
@@ -175,6 +179,13 @@
 #
 ifeq ($(COVERITY),1)
 override CFLAGS += -DCOVERITY
+endif
+
+#
+# Building in github?
+#
+ifneq ($(GITHUB_RUN_ATTEMPT),)
+override VERBOSE=1
 endif
 
 #
@@ -496,6 +507,7 @@
 	stress-mmapfork.c \
 	stress-mmaphuge.c \
 	stress-mmapmany.c \
+	stress-mmaptorture.c \
 	stress-module.c \
 	stress-monte-carlo.c \
 	stress-mprotect.c \
@@ -553,12 +565,3 @@
 	stress-ramfs.c \
 	stress-rawdev.c \
 	stress-rawpkt.c \
-	stress-rawsock.c \
-	stress-rawudp.c \
-	stress-rdrand.c \
-	stress-readahead.c \
-	stress-reboot.c \
-	stress-regex.c \
-	stress-regs.c \
-	stress-remap.c \
-	stress-rename.c \
