## stress-ng 0.19.00

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "optimized os oppressor"
-#
-VERSION=0.18.11
+# Codename "furious file frobnicater"
+#
+VERSION=0.19.00
 
 #
 # Determine supported toolchains
@@ -117,6 +117,17 @@
 endif
 
 #
+# Sanitize flags
+#
+ifeq ($(SANITIZE),1)
+SANITIZE_FLAGS := \
+	-fsanitize=null -fsanitize=bounds-strict -fsanitize=bounds \
+	-fsanitize=object-size -fsanitize=pointer-overflow -fsanitize=builtin \
+	-fsanitize=alignment -fsanitize=object-size
+override CFLAGS += $(foreach flag,$(SANITIZE_FLAGS),$(cc_supports_flag))
+endif
+
+#
 # Test for hardening flags and apply them if applicable
 #
 MACHINE := $(shell make -f Makefile.machine)
@@ -138,9 +149,17 @@
 #
 ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
 override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
+override CFLAGS += $(foreach flag,-ftree-vectorize -ftree-slp-vectorize,$(cc_supports_flag))
 ifneq ($(MACHINE),$(filter $(MACHINE),ibms390 s390))
 override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
 endif
+endif
+
+#
+# Relax compxchg flags
+#
+ifneq ($(filter-out clang icc pcc scan-build,$(COMPILER)),)
+override CFLAGS += $(foreach flag,-mrelax-cmpxchg-loop,$(cc_supports_flag))
 endif
 
 ifeq ($(COMPILER),icx)
@@ -231,7 +250,7 @@
 # Static flags, only to be used when using GCC
 #
 ifeq ($(STATIC),1)
-override LDFLAGS += -static -z muldefs
+override LDFLAGS += -static -z muldefs -ffunction-sections -fdata-sections -Wl,--gc-sections
 override CFLAGS += -DBUILD_STATIC
 endif
 
@@ -312,6 +331,7 @@
 	core-smart.h \
 	core-sort.h \
 	core-stressors.h \
+	core-sync.h \
 	core-syslog.h \
 	core-target-clones.h \
 	core-thermal-zone.h \
@@ -392,6 +412,7 @@
 	stress-dnotify.c \
 	stress-dup.c \
 	stress-dynlib.c \
+	stress-easy-opcode.c \
 	stress-eigen.c \
 	stress-efivar.c \
 	stress-enosys.c \
@@ -414,6 +435,7 @@
 	stress-fifo.c \
 	stress-file-ioctl.c \
 	stress-filename.c \
+	stress-filerace.c \
 	stress-flipflop.c \
 	stress-flock.c \
 	stress-flushcache.c \
@@ -529,39 +551,3 @@
 	stress-nop.c \
 	stress-null.c \
 	stress-numa.c \
-	stress-oom-pipe.c \
-	stress-opcode.c \
-	stress-open.c \
-	stress-pagemove.c \
-	stress-pageswap.c \
-	stress-pci.c \
-	stress-personality.c \
-	stress-peterson.c \
-	stress-physpage.c \
-	stress-pidfd.c \
-	stress-ping-sock.c \
-	stress-pipe.c \
-	stress-pipeherd.c \
-	stress-pkey.c \
-	stress-plugin.c \
-	stress-poll.c \
-	stress-powmath.c \
-	stress-prctl.c \
-	stress-prefetch.c \
-	stress-prime.c \
-	stress-prio-inv.c \
-	stress-priv-instr.c \
-	stress-procfs.c \
-	stress-pseek.c \
-	stress-pthread.c \
-	stress-ptrace.c \
-	stress-ptr-chase.c \
-	stress-pty.c \
-	stress-quota.c \
-	stress-qsort.c \
-	stress-race-sched.c \
-	stress-radixsort.c \
-	stress-randlist.c \
-	stress-ramfs.c \
-	stress-rawdev.c \
-	stress-rawpkt.c \
