## stress-ng 0.19.02

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "furious file frobnicater"
-#
-VERSION=0.19.00
+# Codename "manic memory mangler"
+#
+VERSION=0.19.02
 
 #
 # Determine supported toolchains
@@ -50,6 +50,7 @@
 endif
 ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
 COMPILER = scan-build
+override CC := $(CC) clang
 endif
 
 #
@@ -63,7 +64,7 @@
 KERNEL=$(shell uname -s)
 NODENAME=$(shell uname -n)
 
-override CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -std=gnu99
+override CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
 #
 #  Building stress-vnni with less than -O2 causes breakage with
@@ -166,6 +167,7 @@
 override CFLAGS += -vec -ax
 endif
 
+
 #
 # Enable Link Time Optimization
 #
@@ -184,6 +186,14 @@
 GC_SECTIONS_FLAGS := -Wl,--print-gc-sections
 override CFLAGS += $(foreach flag,$(GC_SECTIONS_FLAGS),$(cc_supports_flag))
 endif
+endif
+
+ifneq ($(SOURCE_DATE_EPOCH),)
+override CFLAGS += -DHAVE_SOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)
+endif
+
+ifneq ($(EXTRA_BUILDINFO),)
+override CFLAGS += -DHAVE_EXTRA_BUILDINFO
 endif
 
 #
@@ -258,9 +268,13 @@
 # Finalize flags
 #
 
-override CFLAGS := $(CFLAGS)
+override CXXFLAGS += $(CFLAGS)
+
+override CXXFLAGS := $(CXXFLAGS)
+override CPPFLAGS := $(CPPFLAGS)
 override LDFLAGS := $(LDFLAGS)
 override VNNI_CFLAGS := $(VNNI_CFLAGS)
+override CFLAGS := $(CFLAGS) -std=gnu99
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
@@ -355,6 +369,67 @@
 	personality.h
 
 #
+# Stress core
+#
+CORE_SRC = \
+	core-affinity.c \
+	core-arch.c \
+	core-asm-ret.c \
+	core-cpu.c \
+	core-cpu-cache.c \
+	core-cpuidle.c \
+	core-clocksource.c \
+	core-config-check.c \
+	core-hash.c \
+	core-helper.c \
+	core-ignite-cpu.c \
+	core-interrupts.c \
+	core-io-uring.c \
+	core-io-priority.c \
+	core-job.c \
+	core-killpid.c \
+	core-klog.c \
+	core-limit.c \
+	core-lock.c \
+	core-log.c \
+	core-madvise.c \
+	core-mincore.c \
+	core-mlock.c \
+	core-mmap.c \
+	core-module.c \
+	core-mounts.c \
+	core-mwc.c \
+	core-net.c \
+	core-numa.c \
+	core-opts.c \
+	core-out-of-memory.c \
+	core-parse-opts.c \
+	core-perf.c \
+	core-processes.c \
+	core-rapl.c \
+	core-resources.c \
+	core-sched.c \
+	core-setting.c \
+	core-shared-heap.c \
+	core-shim.c \
+	core-smart.c \
+	core-sort.c \
+	core-sync.c \
+	core-thermal-zone.c \
+	core-time.c \
+	core-thrash.c \
+	core-ftrace.c \
+	core-try-open.c \
+	core-vmstat.c \
+	stress-ng.c
+
+#
+#  Build time core source files
+#
+CORE_SRC_GEN = \
+	core-config.c
+
+#
 #  Stressors
 #
 STRESS_SRC = \
@@ -428,6 +503,7 @@
 	stress-far-branch.c \
 	stress-fault.c \
 	stress-fcntl.c \
+	stress-fd-abuse.c \
 	stress-fd-fork.c \
 	stress-fd-race.c \
 	stress-fibsearch.c \
@@ -486,68 +562,3 @@
 	stress-klog.c \
 	stress-kvm.c \
 	stress-l1cache.c \
-	stress-landlock.c \
-	stress-lease.c \
-	stress-led.c \
-	stress-link.c \
-	stress-list.c \
-	stress-llc-affinity.c \
-	stress-loadavg.c \
-	stress-lockbus.c \
-	stress-locka.c \
-	stress-lockf.c \
-	stress-lockmix.c \
-	stress-lockofd.c \
-	stress-logmath.c \
-	stress-longjmp.c \
-	stress-loop.c \
-	stress-lsearch.c \
-	stress-lsm.c \
-	stress-madvise.c \
-	stress-malloc.c \
-	stress-matrix.c \
-	stress-matrix-3d.c \
-	stress-mcontend.c \
-	stress-membarrier.c \
-	stress-memcpy.c \
-	stress-memfd.c \
-	stress-memhotplug.c \
-	stress-memrate.c \
-	stress-memthrash.c \
-	stress-mergesort.c \
-	stress-metamix.c \
-	stress-mincore.c \
-	stress-min-nanosleep.c \
-	stress-misaligned.c \
-	stress-mknod.c \
-	stress-mlock.c \
-	stress-mlockmany.c \
-	stress-mmap.c \
-	stress-mmapaddr.c \
-	stress-mmapfiles.c \
-	stress-mmapfixed.c \
-	stress-mmapfork.c \
-	stress-mmaphuge.c \
-	stress-mmapmany.c \
-	stress-mmaptorture.c \
-	stress-module.c \
-	stress-monte-carlo.c \
-	stress-mprotect.c \
-	stress-mpfr.c \
-	stress-mq.c \
-	stress-mremap.c \
-	stress-mseal.c \
-	stress-msg.c \
-	stress-msync.c \
-	stress-msyncmany.c \
-	stress-mtx.c \
-	stress-munmap.c \
-	stress-mutex.c \
-	stress-nanosleep.c \
-	stress-netdev.c \
-	stress-netlink-proc.c \
-	stress-netlink-task.c \
-	stress-nice.c \
-	stress-nop.c \
-	stress-null.c \
-	stress-numa.c \
