=== debian/changelog ===
stress-ng (0.19.02-1) unstable; urgency=medium

  * Sync to upstream version 0.19.02

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 1 Jul 2025 08:27:43 +0100

stress-ng (0.19.01-1) unstable; urgency=medium

  * Sync to upstream version 0.19.01

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 1 Jun 2025 17:38:12 +0100

stress-ng (0.19.00-1) unstable; urgency=medium

  [Yong-Xuan Wang]
  * stress-gpu: remove sigalrm handler
  * stress-af-alg: prevent unsafe longjmp
  * stress-sysinval: prevent unsafe longjmp
  * stress-memrate: prevent unsafe longjmp

  [Jesse Huang]
  * core-config-check: Fix segfault cause by uninitialized namelist

  [Colin Ian King]
  * Makefile: bump version
  * Manual: Fix spelling mistake "occuring" -> "occurring"
  * stress-filerace: Fix spelling mistake "attemp" -> "attempt"
  * stress-brk: move brk stats to shared page, reset brk on out of memory
  * stress-brk: make brk reset work correctly for --brk-bytes option
  * stress-sigbus: make unaligned pointers volatile to force stores
  * stress-sigbus: disabled x86 misaligned SIGBUS feature
  * stress-sigbus: jump out of loop on timeout, check info for null ptr
  * stress-fd-race: remove network class, it's not correct
  * stress-sigbus: avoid infinite longjmp spin loops
  * stress-sigbus: ensure AC bit in EFLAGS is cleared in all signal
    handlers
  * stress-lockbus: disable pcc builds, currently it breaks the compiler
  * README.me: remove old stale tarball info
  * core-log: add the logging prefix to the logging aborting stress
    process
  * stress-schedmix: fix build issue when HAVE_PSELECT is not defined
  * stress-resched: fix build when HAVE_SETPRIORITY is not defined
  * stress-poll: add HAVE_PSELECT check
  * stress-nice: fix build issues on RISC-V debian sid
  * core-cpu-cache: remove const on ptr_end
  * stress-fpunch: clean up variable name shadowing on variable ret
  * stress-lockbus: clean up variable name shadowing on variable rc
  * stress-filerace: clean up name shadowing warnings on fd, i and uid
  * core-sync: move stress_sync_state_load from stress-ng.h to core-sync.h
  * core-sync: move stress_sync_start_cont_list from stress-ng.c to
    core-sync.c
  * stress-*: move include of core-sync.h into stress-ng.h
  * stress-cachehammer: add extra checking for failed temp dir creat
    failures
  * stress-ng.h: make stress_continue() a macro
  * stress-ng: re-work stress_continue() to just check bogo-ops
  * core-vmstat: remove include of stress-ng.h
  * core-try-open: remove include of core-attribute.h
  * core-*.h: remove include of core-attribute.h
  * core-config-check: make warning more obvious
  * stress-ng: use stress_strsignal helper rather than strsignal
  * core-perf.h: remove include of stress-ng.h
  * stress-ng.h: rename bogo_ops to bogo_max_ops since it's a max
    threshold
  * stress-ng.h: remove -O3 from bogo counter helpers
  * stress-ng.h: put bogo op-related info into bogo struct
  * stress-vma: replace g_stress_continue_flag with helper func
  * stress-easy-opcode: replace g_stress_continue_flag with helper func
  * README.md: add another research paper link
  * Makefile: enable tree vectorize and tree-slp-vectorize and relax
    cmpxchg loops
  * Add new --buildinfo option to show build time information
  * Manual: describe the duplication of stdout in the --log-file option
  * stress-ng: ensure no child processes are forked on --dry-run
  * stress-filerace: only close fd if fd has been opened
  * core-sync: move process synchronization helpers from stress-ng.c to
    core_sync.c
  * stress-dirmany: maximize dirmany_bytes to 1TB if variable is wide
    enough
  * stress-dfp: remove undefs that came from fp stressor
  * stress-rdrand: add power11 check
  * stress-rdrand: fix ppc random issue, generate 64 bit value
  * stress-lockbus: SIGILL on s390 should disable misaligned locks
  * Makefile: add extra flags for static builds
  * core-attribute: add gcc version check for nonstring attribute
  * core-target-clones: add arch=diamondrapids
  * core-builtin.h: add support gcc-15 buitin_stdc_rotate* functions
  * core-*, stress-*: use nonstring attribute for char arrays
  * Makefile.config: add built time check for nonstring attribute
  * stress-filerace: remove O_EXCL to avoid exclusive opening
  * stress-filerace: add ftruncate on recently opened file
  * stress-filerace: enable POSIX_FALLOCATE, add open/fallocate/close
  * stress-filerace: hammer temp directory dirent reading (linux only)
  * stress-filerace: add more focused file hammering
  * stress-filerace: select function either randomly or sequentially
  * stress-fractal: use faster atomic inc on larger row counter
  * stress-filerace: move stress_filerace_read_random_uint32 into only
    caller
  * stress-filerace: more voidifications for DragonFlyBSD clean builds
  * stress-filerace: voidify fd and filename in stress_filerace_faccessat
  * stress-filerace: add some macro checks before using statx and
    name_to_handle_at
  * Manual: remove discards metrics from iostat description
  * core-vmstat: remove iostat discards metrics, they are not portable or
    used much
  * Revert "stress-fractal: move row lock from global struct to stressor
    shared page"
  * stress-nop: add x86 floating point fnop instruction
  * stress-filerace: increase size of locked regions, add more concurrency
  * stress-filerace: exercise lockf test
  * stress-filerace: increase number of random operations per file
  * stress-lockbus: remove #ifdefs around label done
  * stress-*: set dirent name lists pointers to NULL
  * stress-sigbus: generate SIGBUS on x86 with misaligned memory access
  * README.md: add Jesse Huang to contributor list
  * stress-lockbus: add SIGILL detection, skip with no resources warning
  * stress-filerace: add sendfile to the mix
  * stress-filerace: add readlinkat, use dir_fd variable for *at() file
    calls
  * stress-filerace: exercise name_to_handle_at on fd and filename

