## stress-ng 0.19.03

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "manic memory mangler"
-#
-VERSION=0.19.02
+# Codename "savvy system smasher"
+#
+VERSION=0.19.03
 
 #
 # Determine supported toolchains
@@ -304,7 +304,9 @@
 	core-config-check.h \
 	core-cpu.h \
 	core-cpu-cache.h \
+	core-cpu-freq.h \
 	core-cpuidle.h \
+	core-filesystem.h \
 	core-ftrace.h \
 	core-hash.h \
 	core-ignite-cpu.h \
@@ -318,6 +320,7 @@
 	core-lock.h \
 	core-log.h \
 	core-madvise.h \
+	core-memory.h \
 	core-mlock.h \
 	core-mmap.h \
 	core-mincore.h \
@@ -333,6 +336,7 @@
 	core-parse-opts.h \
 	core-perf.h \
 	core-pragma.h \
+	core-prime.h \
 	core-processes.h \
 	core-pthread.h \
 	core-put.h \
@@ -340,10 +344,13 @@
 	core-resources.h \
 	core-sched.h \
 	core-setting.h \
+	core-shared-cache.h \
 	core-shared-heap.h \
 	core-shim.h \
+	core-signal.h \
 	core-smart.h \
 	core-sort.h \
+	core-stack.h \
 	core-stressors.h \
 	core-sync.h \
 	core-syslog.h \
@@ -375,11 +382,14 @@
 	core-affinity.c \
 	core-arch.c \
 	core-asm-ret.c \
+	core-capabilities.c \
 	core-cpu.c \
 	core-cpu-cache.c \
+	core-cpu-freq.c \
 	core-cpuidle.c \
 	core-clocksource.c \
 	core-config-check.c \
+	core-filesystem.c \
 	core-hash.c \
 	core-helper.c \
 	core-ignite-cpu.c \
@@ -393,6 +403,7 @@
 	core-lock.c \
 	core-log.c \
 	core-madvise.c \
+	core-memory.c \
 	core-mincore.c \
 	core-mlock.c \
 	core-mmap.c \
@@ -405,15 +416,19 @@
 	core-out-of-memory.c \
 	core-parse-opts.c \
 	core-perf.c \
+	core-prime.c \
 	core-processes.c \
 	core-rapl.c \
 	core-resources.c \
 	core-sched.c \
 	core-setting.c \
+	core-shared-cache.c \
 	core-shared-heap.c \
 	core-shim.c \
+	core-signal.c \
 	core-smart.c \
 	core-sort.c \
+	core-stack.c \
 	core-sync.c \
 	core-thermal-zone.c \
 	core-time.c \
@@ -547,18 +562,3 @@
 	stress-inotify.c \
 	stress-insertionsort.c \
 	stress-intmath.c \
-	stress-io.c \
-	stress-iomix.c \
-	stress-ioport.c \
-	stress-ioprio.c \
-	stress-io-uring.c \
-	stress-ipsec-mb.c \
-	stress-itimer.c \
-	stress-jpeg.c \
-	stress-judy.c \
-	stress-kcmp.c \
-	stress-key.c \
-	stress-kill.c \
-	stress-klog.c \
-	stress-kvm.c \
-	stress-l1cache.c \
