=== debian/changelog ===
stress-ng (0.19.03-1) unstable; urgency=medium

  * Sync to upstream version 0.19.03

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 1 Aug 2025 08:42:59 +0100
