=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
                libkmod-dev [linux-any],
                libxxhash-dev,
                libglvnd-dev,
-               libgbm-dev [linux-any]
+               libgbm-dev [linux-any],
+	       liblzma-dev
 Homepage: https://github.com/ColinIanKing/stress-ng
 
 Package: stress-ng
