## stress-ng 0.19.04

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "savvy system smasher"
-#
-VERSION=0.19.03
+# Codename "rapid ram rattler"
+#
+VERSION=0.19.04
 
 #
 # Determine supported toolchains
@@ -479,6 +479,7 @@
 	stress-chmod.c \
 	stress-chown.c \
 	stress-chroot.c \
+	stress-chyperbolic.c \
 	stress-clock.c \
 	stress-clone.c \
 	stress-close.c \
@@ -488,6 +489,7 @@
 	stress-cpu-online.c \
 	stress-cpu-sched.c \
 	stress-crypt.c \
+	stress-ctrig.c \
 	stress-cyclic.c \
 	stress-daemon.c \
 	stress-dccp.c \
@@ -560,5 +562,3 @@
 	stress-idle-page.c \
 	stress-inode-flags.c \
 	stress-inotify.c \
-	stress-insertionsort.c \
-	stress-intmath.c \
