## stress-ng 0.19.05

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "rapid ram rattler"
-#
-VERSION=0.19.04
+# Codename "tricky timer tester"
+#
+VERSION=0.19.05
 
 #
 # Determine supported toolchains
