=== debian/changelog ===
stress-ng (0.19.05-1) unstable; urgency=medium

  * Sync to upstream version 0.19.05

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 1 Oct 2025 15:37:38 +0100
