=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libaio-dev [linux-any],
                libcap-dev [linux-any],
                libsctp-dev [linux-any],
-               libipsec-mb-dev [amd64],
                libjudy-dev,
                libatomic1 [linux-any],
                libkmod-dev [linux-any],
