## stress-ng 0.19.06

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "tricky timer tester"
-#
-VERSION=0.19.05
+# Codename "refreshed kernel agitator"
+#
+VERSION=0.19.06
 
 #
 # Determine supported toolchains
@@ -341,6 +341,7 @@
 	core-pthread.h \
 	core-put.h \
 	core-rapl.h \
+	core-resctrl.h \
 	core-resources.h \
 	core-sched.h \
 	core-setting.h \
@@ -419,6 +420,7 @@
 	core-prime.c \
 	core-processes.c \
 	core-rapl.c \
+	core-resctrl.c \
 	core-resources.c \
 	core-sched.c \
 	core-setting.c \
@@ -560,5 +562,3 @@
 	stress-icache.c \
 	stress-icmp-flood.c \
 	stress-idle-page.c \
-	stress-inode-flags.c \
-	stress-inotify.c \
