=== debian/changelog ===
stress-ng (0.19.06-3) unstable; urgency=medium

  * Add upstream patch to fix x32 build failure

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 13 Nov 2025 11:07:44 +0000

stress-ng (0.19.06-2) unstable; urgency=medium

  * Add fix to disable -fmodulo-sched for s390 systems to speed up
    very long build times.
    (Closes: #1119833)

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 12 Nov 2025 10:13:11 +0000

stress-ng (0.19.06-1) unstable; urgency=medium

  * Sync to upstream version 0.19.06

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 5 Nov 2025 16:38:21 +0000
