=== debian/tests/control ===
Tests: lite-test
Depends: stress-ng, @
